<template>
  <div>
    <div class="subtitle-2">
      <b>Negocios <InfoNegocioPrefijo /></b>
    </div>
    <br />
    <v-checkbox
      v-for="item in items"
      :key="item.idNegocio"
      :value="item"
      :label="item.descripcion"
      v-model="selected"
      class="numer"
      hide-details="true"
      @change="callbackChangeCheckBox($event)"
    >
    </v-checkbox>
  </div>
</template>

<script>
import store from "@/store";
import InfoNegocioPrefijo from "./InfoNegocioPrefijo.vue";
const axios = store.state.axiosApiLocal;

export default {
  components: { InfoNegocioPrefijo },
  name: "multiple_checkbox_negocio_component",
  created() {
    this.getUnidadesNegocios();
  },
  data() {
    return {
      items: [],
      selected: [],
    };
  },
  props: {
    callbackChangeCheckBox: { type: Function },
  },
  methods: {
    getUnidadesNegocios() {
      console.log("==getUnidadesNegocios==");
      var self = this;
      axios("/documento-sucursal/negocio/v1/")
        .then((response) => {
          let data = response.data;
          if (data) {
            self.items = data.resultado.negocios;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
};
</script>

<style lang="scss" scoped>
.numer {
  flex: 0 0 auto;
  margin: 0;
  padding: 0;
}

.theme--light.v-messages {
  flex: 0 0 auto;
  margin: 0;
  padding: 0;
}
</style>